#!/usr/bin/env node

const fs = require('fs');
const path = require('path');

const packageJson = path.resolve(__dirname, '../package.json');

function getPackageJson() {
	const packageJsonData = fs.readFileSync(packageJson, { encoding: 'utf8' });
	return JSON.parse(packageJsonData);
}

function setPackageJson(data = {}) {
	const pkg = JSON.stringify(data, null, '	');
	fs.writeFileSync(packageJson, pkg, { encoding: 'utf8' });
	return pkg;
}

module.exports = { getPackageJson, setPackageJson };
