#!/usr/bin/env node

const { execSync } = require('child_process');

function say(str) {
	console.log(`\n${str}\n`);
}

function runCommand(command) {
	say(`🏃 RUNNING: ${command}`);
	try {
		execSync(command, { stdio: 'inherit' });
	} catch (err) {
		console.error(`⛔️ FAILED: ${command}`, err);
		return false;
	}
	return true;
}

const repoName = process.argv[2];

module.exports = {
	say,
	runCommand,
	repoName
};
