import type { Handle } from '@sveltejs/kit';
import { createTRPCHandle } from 'trpc-sveltekit';

import { createContext, responseMeta, router } from '$src/lib/trpc-server';

export const handle: Handle = async ({ event, resolve }) => {
	const response = await createTRPCHandle({
		url: '/trpc', // optional; defaults to '/trpc'
		router,
		createContext,
		responseMeta,
		event,
		resolve
	});

	return response;
};
