import * as trpc from '@trpc/client';
import trpcTransformer from 'trpc-transformer';

import { browser } from '$app/env';
import type { Router } from '$src/lib/trpc-server';

const url = browser ? '/trpc' : 'http://localhost:3000/trpc';

export default (loadFetch?: typeof fetch) =>
	trpc.createTRPCClient<Router>({
		url: loadFetch ? '/trpc' : url,
		transformer: trpcTransformer,
		...(loadFetch && { fetch: loadFetch })
	});
